Bug 178714 - Web Inspector: allow ShaderProgram to be shown in CanvasContentView
Summary: Web Inspector: allow ShaderProgram to be shown in CanvasContentView
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 177606
Blocks: WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-10-23 23:54 PDT by Devin Rousso
Modified: 2017-10-25 10:50 PDT (History)
3 users (show)

See Also:


Attachments
Patch (3.74 KB, patch)
2017-10-23 23:58 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
[Image] After Patch is applied (453.04 KB, image/png)
2017-10-23 23:59 PDT, Devin Rousso
no flags Details
Patch (3.99 KB, patch)
2017-10-24 13:57 PDT, Devin Rousso
drousso: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2017-10-23 23:54:24 PDT
Since we have moved Recording to CanvasContentView, we should also allow the user to select any "Program #" path component and see the attached shaders.
Comment 1 Devin Rousso 2017-10-23 23:58:44 PDT
Created attachment 324652 [details]
Patch
Comment 2 Devin Rousso 2017-10-23 23:59:24 PDT
Created attachment 324653 [details]
[Image] After Patch is applied
Comment 3 Brian Burg 2017-10-24 13:13:44 PDT
Comment on attachment 324652 [details]
Patch

r=me
Comment 4 Radar WebKit Bug Importer 2017-10-24 13:14:13 PDT
<rdar://problem/35157557>
Comment 5 Devin Rousso 2017-10-24 13:57:33 PDT
Created attachment 324715 [details]
Patch
Comment 6 Devin Rousso 2017-10-24 14:17:08 PDT
Comment on attachment 324715 [details]
Patch

Will land manually.
Comment 7 Devin Rousso 2017-10-24 14:18:31 PDT
Committed r223921: <https://trac.webkit.org/changeset/223921>
Comment 8 Brian Burg 2017-10-25 10:50:24 PDT
I still don't see the shader programs anywhere. I filed a separate bug, as the relevance of this will change when the sidebar is fixed.